Delete a bulk data export job
delete
/bulk-export/jobs/{Job_ID}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
The operation is defined at:
GET https://<Service Root URL>/r4/OperationDefinition/group-export?_format=json
Note:
- Bulk data export requests do not currently recognize the Accept-Language header;
en-USis used instead. - The authorization token must contain system read scopes for all resources requested in the
_typeparameter. - The following experimental parameters are not supported:
_elements,_typeFilter, andpatient. - When both the
includeAssociatedDataparameter and the_typeparameter are provided, the_typeparameter must includeProvenance.
Provenance Behavior
- Provenances for the Location, Organization, and Practitioner resources cannot be exported.
- When the
_typeparameter is not provided and the authorization token includes the Provenance read scope, all relevant Provenance resources associated with each of the non-Provenance resources are exported by default. You may use theincludeAssociatedDataparameter to export only the latest provenance. - When the
_typeparameter is provided with specific resources and includes Provenance, all relevant Provenance resources associated with each of the non-Provenance resources are exported by default.
Optional Header
When the Prefer: handling=lenient header is provided, any unknown or unsupported parameters are ignored as specified in the Bulk Data Export query parameters.
Request
Path Parameters
-
Job_ID(required): string
The logical resource ID.
Header Parameters
-
Accept(required): string
The media type to be requested. Refer to what the resource's operation produces for what is supported.
Example:
application/fhir+json -
Authorization(required): string
Contains the credentials to authenticate a consumer to the service. This should be the OAuth2 Bearer Token.
There's no request body for this operation.
Back to TopResponse
Default Response
Example Request:
DELETE https://<Service Root URL>/r4/ec2458f2-1e24-41c8-b71b-0e701af7583d/bulk-export/jobs/<Job_ID>
Example Response:
Status: 202 Accepted
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, provide the
opc-request-id, if present.